package com.sinosig.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [SYXBJ] 对象
 */
public interface ISYXBJ {

    /**
     * 获取 [费率]
     */
    public void setFl(Double fl);
    
    /**
     * 设置 [费率]
     */
    public Double getFl();

    /**
     * 获取 [费率]脏标记
     */
    public boolean getFlDirtyFlag();
    /**
     * 获取 [基准保费]
     */
    public void setJzbf(BigDecimal jzbf);
    
    /**
     * 设置 [基准保费]
     */
    public BigDecimal getJzbf();

    /**
     * 获取 [基准保费]脏标记
     */
    public boolean getJzbfDirtyFlag();
    /**
     * 获取 [MD]
     */
    public void setMd(String md);
    
    /**
     * 设置 [MD]
     */
    public String getMd();

    /**
     * 获取 [MD]脏标记
     */
    public boolean getMdDirtyFlag();
    /**
     * 获取 [平台返回系数]
     */
    public void setPtfhxs(Double ptfhxs);
    
    /**
     * 设置 [平台返回系数]
     */
    public Double getPtfhxs();

    /**
     * 获取 [平台返回系数]脏标记
     */
    public boolean getPtfhxsDirtyFlag();
    /**
     * 获取 [实交保费]
     */
    public void setSjbf(BigDecimal sjbf);
    
    /**
     * 设置 [实交保费]
     */
    public BigDecimal getSjbf();

    /**
     * 获取 [实交保费]脏标记
     */
    public boolean getSjbfDirtyFlag();
    /**
     * 获取 [商业险报价标识]
     */
    public void setSYXBJId(String sYXBJId);
    
    /**
     * 设置 [商业险报价标识]
     */
    public String getSYXBJId();

    /**
     * 获取 [商业险报价标识]脏标记
     */
    public boolean getSYXBJIdDirtyFlag();
    /**
     * 获取 [商业险报价名称]
     */
    public void setSYXBJName(String sYXBJName);
    
    /**
     * 设置 [商业险报价名称]
     */
    public String getSYXBJName();

    /**
     * 获取 [商业险报价名称]脏标记
     */
    public boolean getSYXBJNameDirtyFlag();
    /**
     * 获取 [条款代码]
     */
    public void setTkdm(String tkdm);
    
    /**
     * 设置 [条款代码]
     */
    public String getTkdm();

    /**
     * 获取 [条款代码]脏标记
     */
    public boolean getTkdmDirtyFlag();
    /**
     * 获取 [条款名称]
     */
    public void setTkmc(String tkmc);
    
    /**
     * 设置 [条款名称]
     */
    public String getTkmc();

    /**
     * 获取 [条款名称]脏标记
     */
    public boolean getTkmcDirtyFlag();
}
